Bug 165457 - [exp-run]: remove lang/perl5.8 and lang/perl5.10, move default perl to lang/perl5.14 (.2) its GA
[exp-run]: remove lang/perl5.8 and lang/perl5.10, move default perl to lang/p...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-24 22:50 UTC by pgollucci
Modified: 2013-05-25 17:31 UTC (History)
0 users

See Also:


Attachments
perl.diff (781 bytes, patch)
2012-02-24 22:50 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pgollucci freebsd_committer 2012-02-24 22:50:10 UTC
5.8.9   - 12/16/2008 EOL
5.10.1  - 08/23/2009 EOL
5.12.4  - Maint
5.14.2 - GA

How-To-Repeat: 1st of at least 2 -exp runs
  this one will tell us what we have to fix
  next one will test the fixes assuming not too many major ports break
Comment 1 Edwin Groothuis freebsd_committer 2012-02-24 22:50:20 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-02-24 22:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer 2012-02-28 04:00:51 UTC
Responsible Changed
From-To: skv->portmgr

is a request for an -exp run.
Comment 4 Mark Linimon freebsd_committer 2012-03-01 04:13:31 UTC
State Changed
From-To: open->analyzed

Well, this should burn brightly into the night. 


Comment 5 Mark Linimon freebsd_committer 2012-03-01 04:13:31 UTC
Responsible Changed
From-To: portmgr->linimon
Comment 6 Mark Linimon freebsd_committer 2012-03-02 18:12:50 UTC
Responsible Changed
From-To: linimon->pgollucci

Results of the run: 

http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/index.html 

The following are believed to be the regressions from this run after 
filtering out the usual noise, but I could be wrong: 

http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/WebMagick-2.03p3_50,1.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/cyrus-imapd-2.1.18_2.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/cyrus-imapd-2.2.13p1_3.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/gcstar-1.6.1.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/ja-p5-DateTime-Calendar-Japanese-Era-0.08001.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-Alias-2.32.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-CClient-1.12_1.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-DBD-InterBase-0.48.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-DBZ_File-1.1.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-File-Lock-0.9.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-Mysql-modules-1.2219.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-Pod-Constants-0.16_1.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-XML-Sablotron-1.01.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/p5-podlators-2.4.0.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/pacpl-4.0.5_7.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/perlftlib-1.2.log 
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/e.8-exp.20120301040822.pointyhat-west/polymake-2.9.9.log
Comment 7 dfilter freebsd_committer 2012-03-07 04:00:47 UTC
pgollucci    2012-03-07 04:00:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-Alias       Makefile 
  Added files:
    devel/p5-Alias/files patch-Alias.xs 
  Log:
  - Fix build with perl 5.13.10+ in prep for lang/perl5.14 being default
    GvCV et al can no longer be used in an lvalue
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.9       +1 -0      ports/devel/p5-Alias/Makefile
  1.1       +27 -0     ports/devel/p5-Alias/files/patch-Alias.xs (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2012-03-07 05:00:39 UTC
pgollucci    2012-03-07 05:00:04 UTC

  FreeBSD ports repository

  Modified files:
    lang/perl5.14        Makefile 
  Added files:
    lang/perl5.14/files  
                         patch-cpan__ExtUtils-MakeMaker__lib__ExtUtils__MakeMaker.pm 
  Log:
  - Pull https://github.com/dagolden/extutils-makemaker/commit/a19beeaa9f0df1be60d5a45bf22c0a42dd600dca/raw
  to fix:
   Can't use string "XXX" as an ARRAY ref while "strict refs" in use at
   /usr/local/lib/perl5/5.14.2/ExtUtils/MM_Unix.pm line 2893.
  
  - perl 5.14.[012] shipped with a broken version of ExtUtils::MakeMakker (6.57_06)
    which is fixed in 6.57_06.  This patch can hopefully go away when/if perl 5.14.3
    is released.
  
  - Bump PORTREVISION
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.141     +1 -1      ports/lang/perl5.14/Makefile
  1.1       +11 -0     ports/lang/perl5.14/files/patch-cpan__ExtUtils-MakeMaker__lib__ExtUtils__MakeMaker.pm (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2012-03-07 20:30:20 UTC
pgollucci    2012-03-07 20:29:53 UTC

  FreeBSD ports repository

  Modified files:
    databases/p5-DBD-InterBase Makefile 
  Log:
  - Mark BROKEN with lang/perl5.14
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.18      +5 -1      ports/databases/p5-DBD-InterBase/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2012-03-07 20:41:32 UTC
pgollucci    2012-03-07 20:41:22 UTC

  FreeBSD ports repository

  Modified files:
    databases/p5-DBZ_File Makefile 
  Log:
  - Mark BROKEN with lang/perl5.14 does not compile
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.12      +4 -1      ports/databases/p5-DBZ_File/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2012-03-07 21:02:31 UTC
pgollucci    2012-03-07 21:02:17 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    databases            Makefile 
  Removed files:
    databases/p5-Mysql   Makefile distinfo pkg-descr pkg-plist 
    databases/p5-Mysql/files patch-dbd-myMsql.h 
  Log:
  databases/p5-Mysql||2012-03-07|no release in 11 years, doesn't work with mysql 4.0+, unmaintained
  Also BROKEN with lang/perl5.14
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.2791    +2 -1      ports/MOVED
  1.1088    +0 -1      ports/databases/Makefile
  1.51      +0 -39     ports/databases/p5-Mysql/Makefile (dead)
  1.19      +0 -2      ports/databases/p5-Mysql/distinfo (dead)
  1.2       +0 -14     ports/databases/p5-Mysql/files/patch-dbd-myMsql.h (dead)
  1.5       +0 -15     ports/databases/p5-Mysql/pkg-descr (dead)
  1.14      +0 -14     ports/databases/p5-Mysql/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2012-03-07 21:17:01 UTC
pgollucci    2012-03-07 21:16:46 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-File-Lock   Makefile 
  Log:
  - Mark BROKEN with lang/perl5.14
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.21      +5 -1      ports/devel/p5-File-Lock/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter freebsd_committer 2012-03-07 21:25:55 UTC
pgollucci    2012-03-07 21:25:47 UTC

  FreeBSD ports repository

  Modified files:
    mail/p5-Mail-CClient Makefile 
  Log:
  - Mark BROKEN w/ lang/perl5.14
  
  PR:             ports/165457
  With Hat:       perl@
  
  Revision  Changes    Path
  1.17      +4 -0      ports/mail/p5-Mail-CClient/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter freebsd_committer 2012-03-07 21:44:13 UTC
pgollucci    2012-03-07 21:44:05 UTC

  FreeBSD ports repository

  Modified files:
    textproc/p5-XML-Sablotron Makefile 
  Log:
  - Mark BROKEN with lang/perl5.14
  
  PR:         ports/165457
  With Hat:   perl@
  
  Revision  Changes    Path
  1.27      +5 -1      ports/textproc/p5-XML-Sablotron/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter freebsd_committer 2012-03-08 18:38:08 UTC
pgollucci    2012-03-08 18:37:54 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
    Mk                   bsd.perl.mk 
  Removed files:
    lang/perl5.8         Makefile Makefile.man distinfo pkg-descr 
                         pkg-plist 
    lang/perl5.8/files   patch-Configure patch-INST_PREFIX.t 
                         patch-MM_Any.pm patch-bug64562 
                         patch-freebsd.sh 
                         patch-freebsd.sh-freebsd10 patch-perl.c 
                         patch-sv.c perl-after-upgrade 
                         perl-man.conf use.perl 
    lang/perl5.10        Makefile Makefile.man distinfo pkg-descr 
                         pkg-plist 
    lang/perl5.10/files  patch-Configure patch-INST_PREFIX.t 
                         patch-MM_Any.pm patch-bug69973 
                         patch-bug71952 patch-freebsd.sh 
                         patch-freebsd.sh-freebsd10 patch-perl.c 
                         perl-after-upgrade perl-man.conf use.perl 
  Log:
  - Remove lang/perl5.8 (12/16/2008 EOL) and lang/perl5.10 (08/23/2009 EOL)
  - lang/5.12 (default) is in Maint mode and lang/5.14 is GA right now.
  - The final UNcommitted portition of this PR will move the default perl
    to lang/perl5.14 but
      mail/cyrus-impad2
      mail/cyrus-impad22
      print/perlftlib
      audio/papcl
      www/WebMagick
      misc/gcstar
      math/ploymak
    must be fixed or marked BROKEN 1st.
  
  PR:             ports/165457
  Submitted by:   pgollucci (myself)
  Approved by:    portmgr (linimon)
  Exp Run by:     linimon
  Tested by:      make index
  
  Revision  Changes    Path
  1.23      +1 -5      ports/Mk/bsd.perl.mk
  1.767     +0 -2      ports/lang/Makefile
  1.132     +0 -245    ports/lang/perl5.10/Makefile (dead)
  1.9       +0 -745    ports/lang/perl5.10/Makefile.man (dead)
  1.34      +0 -4      ports/lang/perl5.10/distinfo (dead)
  1.3       +0 -21     ports/lang/perl5.10/files/patch-Configure (dead)
  1.2       +0 -20     ports/lang/perl5.10/files/patch-INST_PREFIX.t (dead)
  1.2       +0 -18     ports/lang/perl5.10/files/patch-MM_Any.pm (dead)
  1.2       +0 -95     ports/lang/perl5.10/files/patch-bug69973 (dead)
  1.2       +0 -46     ports/lang/perl5.10/files/patch-bug71952 (dead)
  1.6       +0 -51     ports/lang/perl5.10/files/patch-freebsd.sh (dead)
  1.2       +0 -30     ports/lang/perl5.10/files/patch-freebsd.sh-freebsd10 (dead)
  1.8       +0 -61     ports/lang/perl5.10/files/patch-perl.c (dead)
  1.7       +0 -603    ports/lang/perl5.10/files/perl-after-upgrade (dead)
  1.2       +0 -2      ports/lang/perl5.10/files/perl-man.conf (dead)
  1.18      +0 -157    ports/lang/perl5.10/files/use.perl (dead)
  1.10      +0 -6      ports/lang/perl5.10/pkg-descr (dead)
  1.47      +0 -2015   ports/lang/perl5.10/pkg-plist (dead)
  1.120     +0 -244    ports/lang/perl5.8/Makefile (dead)
  1.7       +0 -556    ports/lang/perl5.8/Makefile.man (dead)
  1.29      +0 -6      ports/lang/perl5.8/distinfo (dead)
  1.2       +0 -12     ports/lang/perl5.8/files/patch-Configure (dead)
  1.2       +0 -20     ports/lang/perl5.8/files/patch-INST_PREFIX.t (dead)
  1.2       +0 -18     ports/lang/perl5.8/files/patch-MM_Any.pm (dead)
  1.2       +0 -24     ports/lang/perl5.8/files/patch-bug64562 (dead)
  1.6       +0 -51     ports/lang/perl5.8/files/patch-freebsd.sh (dead)
  1.2       +0 -30     ports/lang/perl5.8/files/patch-freebsd.sh-freebsd10 (dead)
  1.7       +0 -69     ports/lang/perl5.8/files/patch-perl.c (dead)
  1.3       +0 -21     ports/lang/perl5.8/files/patch-sv.c (dead)
  1.4       +0 -588    ports/lang/perl5.8/files/perl-after-upgrade (dead)
  1.2       +0 -2      ports/lang/perl5.8/files/perl-man.conf (dead)
  1.17      +0 -182    ports/lang/perl5.8/files/use.perl (dead)
  1.10      +0 -6      ports/lang/perl5.8/pkg-descr (dead)
  1.44      +0 -1686   ports/lang/perl5.8/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 dfilter freebsd_committer 2012-03-11 23:49:22 UTC
linimon     2012-03-11 23:49:09 UTC

  FreeBSD ports repository

  Added files:
    lang/perl5.8         Makefile Makefile.man distinfo pkg-descr 
                         pkg-plist 
    lang/perl5.8/files   patch-Configure patch-INST_PREFIX.t 
                         patch-MM_Any.pm patch-bug64562 
                         patch-freebsd.sh 
                         patch-freebsd.sh-freebsd10 patch-perl.c 
                         patch-sv.c perl-after-upgrade 
                         perl-man.conf use.perl 
    lang/perl5.10        Makefile Makefile.man distinfo pkg-descr 
                         pkg-plist 
    lang/perl5.10/files  patch-Configure patch-INST_PREFIX.t 
                         patch-MM_Any.pm patch-bug69973 
                         patch-bug71952 patch-freebsd.sh 
                         patch-freebsd.sh-freebsd10 patch-perl.c 
                         perl-after-upgrade perl-man.conf use.perl 
  Log:
  Undo ports/165457 to not violate POLA.  As far as I knew, the PR
  was to test what happened when we did eventually delete these two
  ports, not to delete them immediately.
  
  A subsequent commit will add appropriate deprecation messages.
  
  Hat:            portmgr
  PR:             ports/165457
  Feature safe:   yes (actually no, however, this is to preserve POLA)
  
  Revision  Changes    Path
  1.133     +245 -0    ports/lang/perl5.10/Makefile (new)
  1.10      +745 -0    ports/lang/perl5.10/Makefile.man (new)
  1.35      +4 -0      ports/lang/perl5.10/distinfo (new)
  1.4       +21 -0     ports/lang/perl5.10/files/patch-Configure (new)
  1.3       +20 -0     ports/lang/perl5.10/files/patch-INST_PREFIX.t (new)
  1.3       +18 -0     ports/lang/perl5.10/files/patch-MM_Any.pm (new)
  1.3       +95 -0     ports/lang/perl5.10/files/patch-bug69973 (new)
  1.3       +46 -0     ports/lang/perl5.10/files/patch-bug71952 (new)
  1.7       +51 -0     ports/lang/perl5.10/files/patch-freebsd.sh (new)
  1.3       +30 -0     ports/lang/perl5.10/files/patch-freebsd.sh-freebsd10 (new)
  1.9       +61 -0     ports/lang/perl5.10/files/patch-perl.c (new)
  1.8       +603 -0    ports/lang/perl5.10/files/perl-after-upgrade (new)
  1.3       +2 -0      ports/lang/perl5.10/files/perl-man.conf (new)
  1.19      +157 -0    ports/lang/perl5.10/files/use.perl (new)
  1.11      +6 -0      ports/lang/perl5.10/pkg-descr (new)
  1.48      +2015 -0   ports/lang/perl5.10/pkg-plist (new)
  1.121     +244 -0    ports/lang/perl5.8/Makefile (new)
  1.8       +556 -0    ports/lang/perl5.8/Makefile.man (new)
  1.30      +6 -0      ports/lang/perl5.8/distinfo (new)
  1.3       +12 -0     ports/lang/perl5.8/files/patch-Configure (new)
  1.3       +20 -0     ports/lang/perl5.8/files/patch-INST_PREFIX.t (new)
  1.3       +18 -0     ports/lang/perl5.8/files/patch-MM_Any.pm (new)
  1.3       +24 -0     ports/lang/perl5.8/files/patch-bug64562 (new)
  1.7       +51 -0     ports/lang/perl5.8/files/patch-freebsd.sh (new)
  1.3       +30 -0     ports/lang/perl5.8/files/patch-freebsd.sh-freebsd10 (new)
  1.8       +69 -0     ports/lang/perl5.8/files/patch-perl.c (new)
  1.4       +21 -0     ports/lang/perl5.8/files/patch-sv.c (new)
  1.5       +588 -0    ports/lang/perl5.8/files/perl-after-upgrade (new)
  1.3       +2 -0      ports/lang/perl5.8/files/perl-man.conf (new)
  1.18      +182 -0    ports/lang/perl5.8/files/use.perl (new)
  1.11      +6 -0      ports/lang/perl5.8/pkg-descr (new)
  1.45      +1686 -0   ports/lang/perl5.8/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 17 pgollucci freebsd_committer 2012-03-14 16:49:46 UTC
State Changed
From-To: analyzed->open

pending timelines
Comment 18 Andrej Zverev freebsd_committer 2013-05-25 17:31:11 UTC
State Changed
From-To: open->closed

I think PR can be closed. perl 5.8|10 gone and 5.14 default.